Skip to content

deployment_canvas_move_node

Update position/size of a canvas node

Tool

deployment_canvas_move_node

Update position/size of a canvas node

Update position/size of a canvas node

Behavior

HTTP
PUT /deployment/environments/:environmentId/canvas/nodes/:nodeId

Arguments

Name
Type
Required
Description
x
number
—
No description in the catalog.
y
number
—
No description in the catalog.
width
number
—
No description in the catalog.
height
number
—
No description in the catalog.
nodeId
string
•
No description in the catalog.
environmentId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
x
number
•
y
number
•
id
string
•
width
number
•
height
number
•
nodeId
string
•
nodeKind
string
•
createdAt
string
•
updatedAt
string
•

Try it

Update position/size of a canvas node.

When to use

Update position/size of a canvas node

Example

Ask your agent something like this:

Update position/size of a canvas node.

The agent will invoke deployment_canvas_move_node with these arguments:

{
  "nodeId": "<nodeId>",
  "environmentId": "<environmentId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select